# H245_T84Profile_t84Restricted Class Reference

`#include <h245.h>`

Inheritance diagram for H245_T84Profile_t84Restricted:

List of all members.

## Public Member Functions

| H245_T84Profile_t84Restricted (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_qcif
PASN_Boolean | m_cif
PASN_Boolean | m_ccir601Seq
PASN_Boolean | m_ccir601Prog
PASN_Boolean | m_hdtvSeq
PASN_Boolean | m_hdtvProg
PASN_Boolean | m_g3FacsMH200x100
PASN_Boolean | m_g3FacsMH200x200
PASN_Boolean | m_g4FacsMMR200x100
PASN_Boolean | m_g4FacsMMR200x200
PASN_Boolean | m_jbig200x200Seq
PASN_Boolean | m_jbig200x200Prog
PASN_Boolean | m_jbig300x300Seq
PASN_Boolean | m_jbig300x300Prog
PASN_Boolean | m_digPhotoLow
PASN_Boolean | m_digPhotoMedSeq
PASN_Boolean | m_digPhotoMedProg
PASN_Boolean | m_digPhotoHighSeq
PASN_Boolean | m_digPhotoHighProg

## Constructor & Destructor Documentation

H245_T84Profile_t84Restricted::H245_T84Profile_t84Restricted | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_T84Profile_t84Restricted::GetDataLength | ( |  | ) | const

PBoolean H245_T84Profile_t84Restricted::Decode | ( | PASN_Stream & | strm | ) |

void H245_T84Profile_t84Restricted::Encode | ( | PASN_Stream & | strm | ) | const

void H245_T84Profile_t84Restricted::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_T84Profile_t84Restricted::Compare | ( | const PObject & | obj | ) | const

PObject* H245_T84Profile_t84Restricted::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_T84Profile_t84Restricted::m_qcif

PASN_Boolean H245_T84Profile_t84Restricted::m_cif

PASN_Boolean H245_T84Profile_t84Restricted::m_ccir601Seq

PASN_Boolean H245_T84Profile_t84Restricted::m_ccir601Prog

PASN_Boolean H245_T84Profile_t84Restricted::m_hdtvSeq

PASN_Boolean H245_T84Profile_t84Restricted::m_hdtvProg

PASN_Boolean H245_T84Profile_t84Restricted::m_g3FacsMH200x100

PASN_Boolean H245_T84Profile_t84Restricted::m_g3FacsMH200x200

PASN_Boolean H245_T84Profile_t84Restricted::m_g4FacsMMR200x100

PASN_Boolean H245_T84Profile_t84Restricted::m_g4FacsMMR200x200

PASN_Boolean H245_T84Profile_t84Restricted::m_jbig200x200Seq

PASN_Boolean H245_T84Profile_t84Restricted::m_jbig200x200Prog

PASN_Boolean H245_T84Profile_t84Restricted::m_jbig300x300Seq

PASN_Boolean H245_T84Profile_t84Restricted::m_jbig300x300Prog

PASN_Boolean H245_T84Profile_t84Restricted::m_digPhotoLow

PASN_Boolean H245_T84Profile_t84Restricted::m_digPhotoMedSeq

PASN_Boolean H245_T84Profile_t84Restricted::m_digPhotoMedProg

PASN_Boolean H245_T84Profile_t84Restricted::m_digPhotoHighSeq

PASN_Boolean H245_T84Profile_t84Restricted::m_digPhotoHighProg

The documentation for this class was generated from the following file:

- h245.h